# $Revision: 1.38 $, $Date: 2008/07/27 22:52:20 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	libxml-perl
Summary:	Collection of Perl modules for working with XML
Summary(pl.UTF-8):	Kolekcja modułów Perla do pracy z XML-em
Name:		perl-libxml
Version:	0.08
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pnam}-%{version}.tar.gz
# Source0-md5:	0ed5fbdda53d1301ddaed88db10503bb
URL:		http://bitsko.slc.ut.us/libxml-perl/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-XML-Parser >= 2.19
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
Obsoletes:	perl-libxml-perl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	'perl(UNIVERSAL)'

%description
libxml-perl is a collection of smaller Perl modules, scripts, and
documents for working with XML in Perl. libxml-perl software works in
combination with XML::Parser, PerlSAX, XML::DOM, XML::Grove and
others.

%description -l pl.UTF-8
libxml-perl to zestaw mniejszych perlowych modułów, skryptów i
dokumentów do pracy z XML-em w Perlu. Działa w połączeniu z
XML::Parser, PerlSAX, XML::DOM, XML::Grove i innymi.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Change*
%{perl_vendorlib}/Data/Grove.pm
%{perl_vendorlib}/Data/Grove
%{perl_vendorlib}/XML/*.pm
%{perl_vendorlib}/XML/Handler/*.pm
%{perl_vendorlib}/XML/Parser/*.pm
%{perl_vendorlib}/XML/PatAct
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-libxml.spec,v $
Revision 1.38  2008/07/27 22:52:20  arekm
- release 2

Revision 1.37  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.36  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.35  2004/11/03 22:30:57  paladine
- formatting

Revision 1.34  2004/08/21 20:32:46  adamg
- updated to 0.08

Revision 1.33  2004/06/05 18:10:50  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.32  2004/05/07 00:29:38  ankry
- rel. 12

Revision 1.31  2004/05/06 18:01:33  ankry
- fixed perl-devel BR

Revision 1.30  2004/05/04 13:36:35  ankry
- license fix, cosmetics

Revision 1.29  2004/03/13 23:09:18  eothane
- new bcond style; some cosmetics here and there; changelog cleanups

Revision 1.28  2004/02/23 22:09:00  ankry
- pl fixes, cosmetics

Revision 1.27  2003/08/18 08:09:29  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.26  2003/06/11 14:32:07  qboosh
- removed bogus OPTIMIZE

Revision 1.25  2003/05/28 13:01:14  malekith
- massive attack: source-md5

Revision 1.24  2003/05/25 06:25:14  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/04/15 00:16:45  ankry
- rel++ (to be higher than in RA-branch)

Revision 1.22  2003/04/11 18:59:46  radek
- BR: perl-devel; do not BR: perl

Revision 1.21  2003/03/01 19:09:39  radek
- should be ready for perl-5.8.0; release++

Revision 1.20  2003/02/25 00:43:23  radek
- use the __perl macro

Revision 1.19  2003/02/23 01:05:10  ankry
- added _noautoreqdep for perl(UNIVERSAL) - it is provided by perl-modules
  and perl-Attribute-Persistent
- rel. 9

Revision 1.18  2003/02/18 15:39:22  ankry
- massive attack: change CPAN URLs

Revision 1.17  2002/12/02 11:06:24  ankry
- massive cleaning

Revision 1.16  2002/10/01 10:05:29  radek
- provided informative summary
- added URL tag
- turned off tests (I suspect it's not this module's fault)

Revision 1.15  2002/09/16 08:37:14  ankry
- added tests on bcond
- remove %%{perl_sitelib}/XML/{Handler,Parser} dirs (moved to perl)
- release 8

Revision 1.14  2002/07/16 11:42:38  ankry
- translations, cleaning
- release 7

Revision 1.13  2002/07/13 15:42:23  qboosh
- new %%doc, cosmetics

Revision 1.12  2002/05/11 14:28:16  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.11  2002/04/12 14:30:00  qboosh
- removed %%{perl_sitelib}/XML dir - it's in perl; release 6

Revision 1.10  2002/03/03 22:21:00  marcus
- rel.5.

Revision 1.9  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/13 20:28:06  kloczek
- adapterized.

Revision 1.7  2002/02/10 15:40:15  depesz
- adapterized

Revision 1.6  2002/01/18 02:14:35  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2002/01/02 12:31:08  kloczek
- release 4: perl-libxml-perl added to Obsoletes for allow upgrade from MDK version.

Revision 1.4  2001/12/12 11:06:07  qboosh
- pl description; release 3

Revision 1.3  2001/11/28 15:20:26  mis
- buildarch noarch; release++

Revision 1.2  2001/05/02 21:51:25  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.1  2001/04/30 14:59:01  baggins
- initial revision
